/*  Copyright (C) 1993   Marc Stern  (internet: stern@mble.philips.be)  */

#include "strings.h"

/***
 *  Function    :  strend
 *
 *  Description :  Returns a pointer to the '\0' ending a string
 *
 *  Parameters  :  in   char        *in_str      in string
 *
 *  Return code :   pointer to the '\0' ending the string..
 *
 *  OS/Compiler :   All
 ***/
    
char *strend( const char *in_str )

{
  while ( *in_str ++ );
  in_str --;

  return in_str;
}
